%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libmodi
Version:	20210807
Release:	1%{?dist}
Summary:	Library to access the Mac OS disk image formats
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libmodi
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool fuse-devel byacc flex

%description
libmodi is a library to access the Mac OS disk image formats

%package devel
Summary: Header files and libraries for developing applications for libmodi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libmodi.

%package tools
Summary: Several tools for reading Mac OS disk images
Group: Applications/System
Requires: %{name} = %{version}-%{release} 

%description tools
Several tools for reading Mac OS disk images

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libmodi
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libmodi
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libmodi
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libmodi
%endif

%prep
%setup -q

%build
[[ -f synclibs.sh ]] && sh synclibs.sh
[[ -f autogen.sh  ]] && sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/modiinfo
%attr(755,root,root) %{_bindir}/modimount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Aug  7 2021 Lawrence R. Rogers <lrr@cert.org> 20210807-1
* Release 20210807-1
	Version 20210807

* Mon May  3 2021 Lawrence R. Rogers <lrr@cert.org> 20210501-2
* Release 20210501-2
	Version 20210501
	Used wrong source file.

* Sat May  1 2021 Lawrence R. Rogers <lrr@cert.org> 20210501-1
* Release 20210501-1
	Version 20210501

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20201019-2
* Release 20201019-2
	Release 2 - Removed Python 2 package

* Mon Oct 19 2020 Lawrence R. Rogers <lrr@cert.org> 20201019-1
* Release 20201019-1
	Version 20201019

* Mon May 13 2019 Lawrence R. Rogers <lrr@cert.org> 20190513-1
* Release 20190513-1
	Version 20190513

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-2
* Release 20181101-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7
		    -python package renamed -python2

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version 20181101

* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170527-1
- Auto-generated

